## net.sourceforge.pmd.symboltable
Class AbstractNameDeclaration

    java.lang.Object
      net.sourceforge.pmd.symboltable.AbstractNameDeclaration

All Implemented Interfaces:
  NameDeclaration

Direct Known Subclasses:
  ClassNameDeclaration, MethodNameDeclaration, VariableNameDeclaration

public abstract class AbstractNameDeclaration
extends java.lang.Object
implements NameDeclaration

Field Summary
`protected SimpleNode` `node`

Constructor Summary
`AbstractNameDeclaration(SimpleNode node)`

Method Summary
`java.lang.String` `getImage()`
`SimpleNode` `getNode()`
`Scope` `getScope()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### node

    protected SimpleNode node

Constructor Detail

### AbstractNameDeclaration

    public AbstractNameDeclaration(SimpleNode node)

Method Detail

### getNode

    public SimpleNode getNode()

  Specified by:
    `getNode` in interface `NameDeclaration`

### getImage

    public java.lang.String getImage()

  Specified by:
    `getImage` in interface `NameDeclaration`

### getScope

    public Scope getScope()

  Specified by:
    `getScope` in interface `NameDeclaration`

Copyright © 2002-2006 InfoEther. All Rights Reserved.